List Client Evidences

Returns a paginated list of evidences belonging to the specified client.

Supports filtering with PII, sorting, and cursor-based pagination.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Unique identifier of the client

Body Params

Request payload containing filters, pagination and sorting options.

Minimum required payload :
{}

Since this is a POST search endpoint, an empty JSON object is accepted.

Filtering

Filters must be passed inside the filter object.

Supported fields:
code, title, owner.email

Examples

"filter": {
  "code": "eq:EV-30",
  "title": "eq:Provide evidence that HTTPS / TLS and other",
  "owner.email": "[email protected]"
}

Supported operators

  • eq — exact match
  • in — comma-separated list

Example:

"code": "in:EV-30,EV-31"

Optional Flags

  • fetch_items

    • true (default): Include evidence items
    • false: Return summary only
  • evidence_request

    • true: Include evidence request metadata
    • false (default): Exclude evidence-request metadata

Pagination

  • page_size default = 50
  • page_size max = 200

Cursor Pagination

  • cursor must be Base64 encoded.

Sorting

Allowed fields:

created_at, updated_at

Sorting rules:

  • Ascending → created_at or +created_at
  • Descending → -created_at

Query request for evidences with filters, fields, pagination, cursor, and sort

filter
object
string

Comma-separated list of fields to include in the response

int32
1 to 200
string
^[A-Za-z0-9+/=]*$

Opaque Base64 cursor from a previous paginated response

boolean
Defaults to true

Include related evidence items

boolean
Defaults to true

Include evidence requests

string
^(?:[+-]|\s)?(created_at|updated_at)$

Sorting field

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json